Bug 57330 - onchange on text fields has an incoherent behavior in r82182
Summary: onchange on text fields has an incoherent behavior in r82182
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P1 Major
Assignee: Nobody
URL: http://www.quirksmode.org/dom/events/...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-29 05:39 PDT by Xavier Morel
Modified: 2011-06-08 13:31 PDT (History)
4 users (show)

See Also:


Attachments
Patch (10.83 KB, patch)
2011-04-11 05:53 PDT, Emil A Eklund
dglazkov: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from cr-jail-7 (7.58 KB, application/zip)
2011-04-12 21:43 PDT, WebKit Commit Bot
no flags Details
Patch (12.65 KB, patch)
2011-04-20 16:10 PDT, Emil A Eklund
tkent: review-
Details | Formatted Diff | Diff
Patch (12.75 KB, patch)
2011-04-29 14:04 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Morel 2011-03-29 05:39:38 PDT
Go to http://www.quirksmode.org/dom/events/tests/change.html

Enter text in the text input (the one near "text label"), remove the text, tab out:

* Safari 5.0.4 triggers onchange every time
* Webkit r82182 triggers onchange *only the first time*, from the second time onwards no onchange triggers anymore

For reference, Opera and Chrome trigger onchange every time, Firefox never triggers onchange, no idea for MSIE.
Comment 1 Alexey Proskuryakov 2011-03-29 14:02:57 PDT
Presumably due to r81978.
Comment 2 Emil A Eklund 2011-04-01 03:47:11 PDT
I'll look into it.
Comment 3 Emil A Eklund 2011-04-11 05:53:48 PDT
Created attachment 88996 [details]
Patch
Comment 4 WebKit Commit Bot 2011-04-12 21:43:32 PDT
Comment on attachment 88996 [details]
Patch

Rejecting attachment 88996 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'build-..." exit_code: 2

Last 500 characters of output:
ncoding/GBK ............
fast/encoding/dumpAsText .
fast/encoding/hebrew .......
fast/events .........................................................................................................................................................................
fast/events/onchange-text-form-field.html -> failed

Exiting early after 1 failures. 8202 tests run.
181.25s total testing time

8201 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
4 test cases (<1%) had stderr output

Full output: http://queues.webkit.org/results/8402126
Comment 5 WebKit Commit Bot 2011-04-12 21:43:35 PDT
Created attachment 89335 [details]
Archive of layout-test-results from cr-jail-7

The attached test failures were seen while running run-webkit-tests on the commit-queue.
Bot: cr-jail-7  Port: Mac  Platform: Mac OS X 10.6.6
Comment 6 Emil A Eklund 2011-04-20 16:10:03 PDT
Created attachment 90432 [details]
Patch

Updated patch trying to fix the platform inconsistencies.
Comment 7 Kent Tamura 2011-04-24 12:24:28 PDT
Comment on attachment 90432 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=90432&action=review

> LayoutTests/ChangeLog:12
> +
> +        * fast/events/onchange-text-form-field-expected.txt:
> +        * fast/events/onchange-text-form-field.html:
> +

ChangeLog has no entry for platform/gtk/fast/events/onchange-text-form-field-expected.txt.
Comment 8 Emil A Eklund 2011-04-29 14:04:38 PDT
Created attachment 91730 [details]
Patch

Updated ChangeLog as suggested.
Comment 9 WebKit Commit Bot 2011-04-29 17:13:58 PDT
The commit-queue encountered the following flaky tests while processing attachment 91730 [details]:

java/lc3/JSObject/ToObject-001.html bug 53091 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2011-04-29 17:15:12 PDT
Comment on attachment 91730 [details]
Patch

Clearing flags on attachment: 91730

Committed r85373: <http://trac.webkit.org/changeset/85373>